fil d'ariane (mod_breadcrumbs) en fonctionne plus suite à mise à jour joomla 3.10.4

Réduire
X
 
  • Filtrer
  • Heure
  • Afficher
Tout effacer
nouveaux messages

  • #31
    Envoyé par Pierre débutant Voir le message
    J'ai également, dans cette liste des extensions, en statut "activé" : Gantry 4 (Site paquet) / Gantry Framework (Site bibliothèque) / Gantry 4 templates manager (administration composant). Je ne sais pas pourquoi ils sont activés...
    Tout ce qui fait référence à "gantry" ou "helix" doit être désactivé. Cela ne sert à rien puisque tu utilises le template protostar et non ces frameworks.
    Tu peux éventuellement aller dans le menu "système >> "purger le cache"
    et tout effacer.
    Je préfère éclairer que briller.” - “J'ai peut-être l'air froid, mais je suis pas givré.- "ça dépend ça dépasse"
    Ne m'envoyez pas de message privé pour résoudre vos problèmes sans y avoir été invité.
    Dolmenhir : tailleur de site web depuis 1997. Spécialiste Joomla depuis 2005. https://www.dolmenhir.fr

    Commentaire


    • #32
      Ok dolmenhir, je m'occupe de désactiver les 3 derniers "Gantry" des extensions dans le week-end pour voir si ça n'affecte rien. Je vous confirmerais au prochain message. Merci encore pour vos explications qui me font avancerLà je dois partir. A bientôt et encore merci

      Commentaire


      • #33
        Bonjour,
        J'ai donc désactivé l'ensemble des extensions que je suis sûr de ne pas utiliser : pour l'instant, pas de message d'erreur en mode "développeur", et le site fonctionne comme d'habitude (excepté breadcrumbs bien entendu).
        Voici des captures d'écran des extensions :

        Cliquez sur l'image pour l'afficher en taille normale

Nom : page1.jpg 
Affichages : 95 
Taille : 134,9 Ko 
ID : 2035334Cliquez sur l'image pour l'afficher en taille normale

Nom : page2.jpg 
Affichages : 99 
Taille : 136,5 Ko 
ID : 2035333Cliquez sur l'image pour l'afficher en taille normale

Nom : page3.jpg 
Affichages : 92 
Taille : 136,5 Ko 
ID : 2035337Cliquez sur l'image pour l'afficher en taille normale

Nom : page4.jpg 
Affichages : 93 
Taille : 139,0 Ko 
ID : 2035336Cliquez sur l'image pour l'afficher en taille normale

Nom : page5.jpg 
Affichages : 89 
Taille : 136,5 Ko 
ID : 2035339Cliquez sur l'image pour l'afficher en taille normale

Nom : page6.jpg 
Affichages : 90 
Taille : 137,2 Ko 
ID : 2035338Cliquez sur l'image pour l'afficher en taille normale

Nom : page7.jpg 
Affichages : 91 
Taille : 135,0 Ko 
ID : 2035342Cliquez sur l'image pour l'afficher en taille normale

Nom : page8.jpg 
Affichages : 86 
Taille : 139,7 Ko 
ID : 2035341Cliquez sur l'image pour l'afficher en taille normale

Nom : page9.jpg 
Affichages : 84 
Taille : 137,5 Ko 
ID : 2035340Cliquez sur l'image pour l'afficher en taille normale

Nom : page10.jpg 
Affichages : 88 
Taille : 140,4 Ko 
ID : 2035345Cliquez sur l'image pour l'afficher en taille normale

Nom : page11.jpg 
Affichages : 95 
Taille : 134,4 Ko 
ID : 2035344Cliquez sur l'image pour l'afficher en taille normale

Nom : page12.jpg 
Affichages : 92 
Taille : 136,8 Ko 
ID : 2035346Cliquez sur l'image pour l'afficher en taille normale

Nom : page13.jpg 
Affichages : 88 
Taille : 136,4 Ko 
ID : 2035343Cliquez sur l'image pour l'afficher en taille normale

Nom : page14.jpg 
Affichages : 89 
Taille : 137,4 Ko 
ID : 2035335Cliquez sur l'image pour l'afficher en taille normale

Nom : purger le cache.jpg 
Affichages : 93 
Taille : 132,2 Ko 
ID : 2035348

        Je les ai importée dans l'ordre page 1 à page 14.
        Mes questions :

        1) Pour la dernière page, j'ai fait une capture d'écran de "purger le cache" : il y a des élements divers (je ne savais pas qu'il y avait des élements dans cette partie) > du coup, je peux tout sélectionner et cliquer sur "Tout supprimer", ça ne risque rien ?

        2) Pour les extensions que j'ai désactivé, est-il judicieux de les désinstaller (pour bien faire le "ménage"), ou bien le simple fait de les désactiver suffit ?
        3) Du coup, je m'aperçois maintenant, en extensions non natives joomla, que j'ai : virtuemart, maximenuck (avec mediabox + mobilemenu ck), GMapFP, et enfin XMAP pour référencer mon site par le biais de la GSC

        4) Que fais-je à présent ? Je désactive toutes les extensions ensemble, et je remet une à une pour voir ce qui se passe (car le fil de navigation est cadenassé, dont il apparaîtra de toute façon)
        Merci encore (>
        Fichiers joints

        Commentaire


        • #34
          Envoyé par Pierre débutant Voir le message
          1) Pour la dernière page, j'ai fait une capture d'écran de "purger le cache" : il y a des élements divers (je ne savais pas qu'il y avait des élements dans cette partie) > du coup, je peux tout sélectionner et cliquer sur "Tout supprimer", ça ne risque rien ?
          ça ne risque rien

          Envoyé par Pierre débutant Voir le message
          2) Pour les extensions que j'ai désactivé, est-il judicieux de les désinstaller (pour bien faire le "ménage"), ou bien le simple fait de les désactiver suffit ?
          Les désactiver suffit pour le moment.
          Tu décideras, une fois que tout sera rentré dans l'ordre, de ce que tu gardes ou désinstalles

          Envoyé par Pierre débutant Voir le message
          3) Du coup, je m'aperçois maintenant, en extensions non natives joomla, que j'ai : virtuemart, maximenuck (avec mediabox + mobilemenu ck), GMapFP, et enfin XMAP pour référencer mon site par le biais de la GSC

          4) Que fais-je à présent ? Je désactive toutes les extensions ensemble, et je remet une à une pour voir ce qui se passe (car le fil de navigation est cadenassé, dont il apparaîtra de toute façon)
          Merci encore (>
          Aucune de ces extensions n'est vitale pour le bon fonctionnement du site, sauf virtuemart, qui est ton catalogue, et le maximenuck tant que tu n'auras pas créer un module de menu de substitution.
          Tu peux donc les désactiver et voir pas à pas ce qui bloque.
          Pour Virtuemart, tu peux aussi la désactiver temporairement pour voir si le problème ne vient pas de cette extension (d'ailleurs est-elle à jour ?)
          A noter que les liens de menu qui pointent vers des contenus virtuemart ne fonctionneront alors plus, jusqu'à sa réactivation.

          A noter, une fois que les extension tierces superflues sont désactivée, je te suggère de réactiver le mode débug pour identifier les erreurs qui traînent.
          Cela permettra de mieux identifier la cause du problème.

          Je préfère éclairer que briller.” - “J'ai peut-être l'air froid, mais je suis pas givré.- "ça dépend ça dépasse"
          Ne m'envoyez pas de message privé pour résoudre vos problèmes sans y avoir été invité.
          Dolmenhir : tailleur de site web depuis 1997. Spécialiste Joomla depuis 2005. https://www.dolmenhir.fr

          Commentaire


          • #35
            Merci pour ces confirmations
            1) j'ai purgé le cache : je vois que les différents éléments listés sont toujours présent après suppression, le nombre de leurs fichiers a nettement baissé pour certains
            2) Pour virtuemart, je suis en version 3.8.8, qui d'après ce que je vois un peu partout, est bien la dernière version à jour.
            3) Concernant les désactivations, je ne désactive que les extensions dite "Site", pas "administration" ?
            4) Pour maximenu Ck : je vais le désactiver, et remettre en place dans le template mon ancien menu réalisé simplement sous joomla, qui ne possédait pas d'onglets déroulant. J'y verrais sûrement plus clair. J'ai gardé ce menu par sécurité car au départ, je ne savais pas si maximenu ck conviendrait bien au long cours...
            Cordialement,

            Commentaire


            • #36
              Envoyé par Pierre débutant Voir le message
              1) j'ai purgé le cache : je vois que les différents éléments listés sont toujours présent après suppression, le nombre de leurs fichiers a nettement baissé pour certains
              C'est normal, le cache se reconstitue au fil des visites

              Envoyé par Pierre débutant Voir le message
              4) Pour maximenu Ck : je vais le désactiver, et remettre en place dans le template mon ancien menu réalisé simplement sous joomla, qui ne possédait pas d'onglets déroulant. J'y verrais sûrement plus clair.
              Je t'ai donné dans un message précédent la méthode pour disposer d'un menu natif horizontal qui permet également d'avoir les menus déroulants.

              Je préfère éclairer que briller.” - “J'ai peut-être l'air froid, mais je suis pas givré.- "ça dépend ça dépasse"
              Ne m'envoyez pas de message privé pour résoudre vos problèmes sans y avoir été invité.
              Dolmenhir : tailleur de site web depuis 1997. Spécialiste Joomla depuis 2005. https://www.dolmenhir.fr

              Commentaire


              • #37
                Je viens à l'instant de terminer la phase "désactivation back-end des extensions (les unes après les autres) + CtrlF5 en front end + ré-activation", le tout en mode développeur (debug) : rien à signaler : le breadcrumbs ne fonctionne toujours pas, et aucun message d'erreur nulle part.
                Je continue prochainement en mettant en place le nouveau menu comme expliqué précédemment par vos soins pour obtenir des menus déroulants avec le natif joomla.
                Merci

                Commentaire


                • #38
                  Je viens à l'instant de mettre en place le menu natif joomla, de type déroulant, grâce au suffixe css " nav-pills" : c'est vraiment impressionnant comme résultat. Je vous adresse mes félicitations, car c'est tout à fait ce que je souhaitais au départ, c'est à dire environ 10 années en arrière. Franchement, je trouve le rendu plus aérien que maximenu ck, et finalement cela ne m'a pas pris plus de 5 minutes, bien que très néophyte que je sois. Et surtout, on est sur du natif joomla moins sujet à problèmes en principe (surtout pour la future migration en J!4)

                  J'ai donc purgé le cache à nouveau + Ctrl F5 (le tout en mode debug) : le breadcrumbs ne fonctionne toujours pas...
                  Par contre, tout le reste fonctionne toujours impeccable.
                  Dans la foulée, j'ai tout de même activé "MobilemenuCK" pour avoir un site adapté au téléphones mobiles : j'ai testé quelques pages sur le google mobile friendly test > ça marche.
                  J'ai vu également, concernant virtuemart, dans l'onglet configuration > templates des élements de css / javascript, ou l'on peut activer ou non certains, comme "utiliser JQuery de virtuemart" > le petit explicatif lorsqu'on passe la souris dessus indique que l'on peut le désactiver pour éviter les conflits entre virtuemart et les templates par exemple. Voici une capture d'écran de ces options en l'état à ce jour :
                  Cliquez sur l'image pour l'afficher en taille normale

Nom : css javascripts virtuemart.jpg 
Affichages : 114 
Taille : 134,6 Ko 
ID : 2035404

                  Encore merci pour ce nouveau menu déroulant qui me va tout à fait

                  Commentaire


                  • #39
                    Bonjour,
                    Juste pour info, j'ai sauvegardé, via sftp depuis la racine www de mon site, le "mod_breadcrumbs" natif du 22/12/2021 (version J!3.10.4), et l'ai comparé avec ma sauvegarde "mod_breadcrumbs" natif du 12/11/2021 (version J!3.10.3) : avec notepad++ > compare : tout "match", fichier après fichier. Donc la mise à jour n'a rien ajouté à ces fichiers, et aucune erreur de syntaxe ne semble présente avant / après problème breadcrumbs.

                    Par rapport aux modules dont je ne me sers pas (Gantry, helix), qui sont donc désactivés depuis une petite semaine maintenant, le listing de mise à jour J!4 m'indique qu'ils ne passeront pas la mise à jour : est-il utile de les supprimer une bonne fois pour toute, ou le simple fait qu'ils soient désactivés ne causera aucun problème pour la migration ?
                    Je vais prochainement joindre le forum spécifique à virtuemart, car là encore les modules désactivés du paiement en ligne par exemple ne me servent pas du tout : vais-je pouvoir les supprimer ou faudra t'il les conserver.

                    S'il y a d'autres manipulations à effectuer pour remettre en marche le breadcrumbs, éliminer des erreurs, etc..., faites moi le savoir, j'essaierai de faire au mieux...
                    Encore merci

                    Commentaire


                    • #40
                      Bonjour,

                      Les extensions que tu as désactivées peuvent être désinstallées, puisqu'elles ne te sont pas utiles.
                      En ce qui concerne Virtuemart, ne désinstalle rien, ce serait réinstallé par la prochaine mise à jour, car ces plugins de paiement font partie intégrante du pack.
                      "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
                      MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

                      Commentaire


                      • #41
                        Merci pour cette confirmation. Je ferais le ménage prochainement.
                        J'ai bien lu l'ensemble de la documentation que vous m'avez fourni concernant la "mini-migration" de 3.10.4 vers 4.0.5 de J! : j'ai répondu oui à 11 questions sur 14. J'ai ensuite bien regardé le listing des modules : l'écrasante majorité des modules qui sont notés comme ne pouvant pas passer potentiellement la mini-migration sont des modules désactivés (donc je suppose que le système de listing n'a pas pu voir si la mise à jour était possible puisque désactivés, d'après ce que j'ai traduit de l'anglais d'explicatif).
                        D'autre part, les 2 modules qui demandent une mise à jour sont "breadcrumbs advanced" et "up" : je peux les contacter pour voir s'ils vont ou pas se mettre à la page, et surtout quand. Pour la partie "required php and database settings", tout est en vert, pour la partie "recommended php settings", j'ai 2 voyants en orange, mais apparemment cela dépend de l'hébergeur (ovh dans mon cas)
                        1) Simplement, si le breadcrumbs en l'état actuel n'est pas résolu, dois-je passer en joomla 4.0, ou dois-je attendre de l'avoir résolu ?
                        2) Ou bien est-il préférable que je demande une sauvegarde à ovh du mois dernier, pour revenir à 3.10.3, retrouver mon fil d'ariane qui fonctionnait, et lancer alors la mini-migration vers 4.0.5 ?

                        Commentaire


                        • #42
                          En ce qui concerne UP, si c'est la dernière version qui est installée, elle est compatible, donc pas de problème à son niveau.
                          Pour l'autre, il suffit peut-être de vérifier sur le JED, mais finalement tu l'utilises pour remplacer le breadcrumbs standard ? Si ce n'est pas le cas, tu peux le désinstaller.

                          Le système de vérification ne s'appuie pas sur l'activation ou la non-activation des extensions, à ma connaissance. Et un résultat négatif veut dire qu'il n'y a pas d'information dans le fichier manifeste d'installation de l'extension permettant de savoir s'il y a une version spécifique à J4, c'est pourquoi il faut vérifier soi-même chez l'auteur ou sur le JED.
                          "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
                          MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

                          Commentaire


                          • #43
                            Au fait : pour faire la migration, utilise une copie de ton site, soit dans un sous-domaine de ton hébergeur (en faisant très attention à changer les préfixes des tables si tu n'as pas plus d'une base de données), soit sur un serveur local. Et une fois finalisé, le nouveau site pourra remplacer l'ancien.
                            "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
                            MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

                            Commentaire


                            • #44
                              Inutile d'aller plus vite que la musique.

                              Je te déconseille vivement de faire la mise à jour vers J!4 si tu utilises Virtuemart car ce dernier n'est pas totalement compatible.
                              Il est encore en phase de développement et, comme pour tout programme informatique non stable, il est déconseillé d'installer cette version sur un site en production.

                              Donc prends ton mal en patience, reste sous J!3 et tu feras la mise à jour quand sortira une version stable et officielle de Virtuemart pour J!4
                              Je préfère éclairer que briller.” - “J'ai peut-être l'air froid, mais je suis pas givré.- "ça dépend ça dépasse"
                              Ne m'envoyez pas de message privé pour résoudre vos problèmes sans y avoir été invité.
                              Dolmenhir : tailleur de site web depuis 1997. Spécialiste Joomla depuis 2005. https://www.dolmenhir.fr

                              Commentaire


                              • #45
                                Il y a quand même une certaine sécurité : tous les éléments VM sont listés comme ne permettant pas d'avoir d'info de mise à jour disponible pour J4 et l'équipe Virtuemart n'a pas mis en évidence le pack de test pour cette version.

                                J'ai dit une bêtise, ils en parlent sur leur site.
                                Dernière édition par RobertG à 24/12/2021, 09h54
                                "Patience et longueur de temps font plus que force ni que rage..." (La Fontaine : Le Lion et le Rat) - "Il n'y a pas de problèmes; il n'y a que des solutions" (André Gide).
                                MoovJla et LazyDbBackup sur www.joomxtensions.com - FaQ sur www.fontanil.info - Site pro : www.robertg-conseil.fr chez PHPNET, sites perso chez PlanetHoster + sites gérés chez PHPNET, PlanetHoster, Ionos et OVH

                                Commentaire

                                Annonce

                                Réduire
                                1 sur 2 < >

                                C'est [Réglé] et on n'en parle plus ?

                                A quoi ça sert ?
                                La mention [Réglé] permet aux visiteurs d'identifier rapidement les messages qui ont trouvé une solution.

                                Merci donc d'utiliser cette fonctionnalité afin de faciliter la navigation et la recherche d'informations de tous sur le forum.

                                Si vous deviez oublier de porter cette mention, nous nous permettrons de le faire à votre place... mais seulement une fois
                                Comment ajouter la mention [Réglé] à votre discussion ?
                                1 - Aller sur votre discussion et éditer votre premier message :


                                2 - Cliquer sur la liste déroulante Préfixe.

                                3 - Choisir le préfixe [Réglé].


                                4 - Et voilà… votre discussion est désormais identifiée comme réglée.

                                2 sur 2 < >

                                Assistance au forum - Outil de publication d'infos de votre site

                                Compatibilité: PHP 4.1,PHP4, 5, 6DEV MySQL 3.2 - 5.5 MySQLi from 4.1 ( @ >=PHP 4.4.9)

                                Support Version de Joomla! : | J!3.0 | J!2.5.xx | J!1.7.xx | J!1.6.xx | J1.5.xx | J!1.0.xx |

                                Version française (FR) D'autres versions sont disponibles depuis la version originale de FPA

                                UTILISER À VOS PROPRES RISQUES :
                                L'exactitude et l'exhaustivité de ce script ainsi que la documentation ne sont pas garanties et aucune responsabilité ne sera acceptée pour tout dommage, questions ou confusion provoquée par l'utilisation de ce script.

                                Problèmes connus :
                                FPA n'est actuellement pas compatible avec des sites Joomla qui ont eu leur fichier configuration.php déplacé en dehors du répertoire public_html.

                                Installation :

                                1. Téléchargez l'archive souhaitée : http://afuj.github.io/FPA/

                                Archive zip : https://github.com/AFUJ/FPA/zipball/master

                                2. Décompressez le fichier de package téléchargé sur votre propre ordinateur (à l'aide de WinZip ou d'un outil de décompression natif).

                                3. Lisez le fichier LISEZMOI inclus pour toutes les notes de versions spécifiques.

                                4. LIRE le fichier de documentation inclus pour obtenir des instructions d'utilisation détaillées.

                                5. Téléchargez le script fpa-fr.php à la racine de votre site Joomla!. C'est l'endroit que vous avez installé Joomla et ce n'est pas la racine principale de votre serveur. Voir les exemples ci-dessous.

                                6. Exécutez le script via votre navigateur en tapant: http:// www. votresite .com/ fpa-fr.php
                                et remplacer www. votresite .com par votre nom de domaine


                                Exemples:
                                Joomla! est installé dans votre répertoire web et vous avez installé la version française du fichier FPA:
                                Télécharger le script fpa-fr.php dans: /public_html/
                                Pour executer le script: http://www..com/fpa-fr.php

                                Joomla! est installé dans un sous-répertoire nommé "cms" et vous avez installé la version française du fichier FPA:
                                Télécharger le script fpa-fr.php dans: /public_html/cms/
                                Pour executer le script: http://www..com/cms/fpa-fr.php

                                En raison de la nature très sensible de l'information affichée par le script FPA, il doit être retiré immédiatement du serveur après son utilisation.

                                Pour supprimer le script de votre site, utilisez le lien de script de suppression fourni en haut de la page du script. Si le lien de suppression échoue pour supprimer le script, utilisez votre programme FTP pour le supprimer manuellement ou changer le nom une fois que le script a généré les données du site et le message publié sur le forum. Si le script est toujours présent sur le site, il peut être utilisé pour recueillir suffisamment d'informations pour pirater votre site. Le retrait du script empêche des étrangers de l'utiliser pour jeter un oeil à la façon dont votre site est structuré et de détecter les défauts qui peuvent être utilisé à vos dépends.
                                Voir plus
                                Voir moins

                                Partenaire de l'association

                                Réduire

                                Hébergeur Web PlanetHoster
                                Travaille ...
                                X